Package org.zkoss.zk.ui.impl

## Class Attributes

- java.lang.Object
- - org.zkoss.zk.ui.sys.Attributes
  - - org.zkoss.zk.ui.impl.Attributes

-     public class Attributes
      extends Attributes

  Attributes used internally for implementation only.
  Author:
    tomyeh

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `DEFERRED_PROPERTIES` | A component attribute used to store a map of properties (`Property`) which have deferred expressions.
    `static java.lang.String` | `ECHO_DATA` | A desktop attribute used to store a map of data associated with the echo event (`Events.echoEvent(java.lang.String, org.zkoss.zk.ui.Component, java.lang.String)`).
    `static java.lang.String` | `PAGE_CREATED` | An execution attribute used to store whether the page has been created.
    `static java.lang.String` | `UPLOAD_MAX_SIZE` | A component attribute used to indicate the max-size of file upload.
    `static java.lang.String` | `UPLOAD_NATIVE` | A component attribute used to indicate uploaded file(s) as binary.
    `static java.lang.String` | `UPLOAD_PERCENT` | A desktop attribute to indicate the completeness percentage of the current file upload.
    `static java.lang.String` | `UPLOAD_SIZE` | A desktop attribute to indicate the number of bytes of the current file upload.

    - ### Fields inherited from class org.zkoss.zk.ui.sys.Attributes

      `ACTIVATE_RETRY_ABORT, ACTIVATE_RETRY_DELAY, CLIENT_ROD, CLIENT_SCRIPT_ERROR_LISTENER_CLASS, INJECT_URI_PREFIX, NO_CACHE, PAGE_REDRAW_CONTROL, PAGE_RENDERER, PAGE_RENDERING, PORTLET_RENDER_PATCH_CLASS, RENEW_NATIVE_SESSION, STUB_NATIVE, ZK_SESSION`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Attributes()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UPLOAD_PERCENT

          public static final java.lang.String UPLOAD_PERCENT

      A desktop attribute to indicate the completeness percentage of the current file upload. It is an integer ranging from 0 to 99.
      See Also:
        Constant Field Values

    - #### UPLOAD_SIZE

          public static final java.lang.String UPLOAD_SIZE

      A desktop attribute to indicate the number of bytes of the current file upload. It is a non-negative long.
      See Also:
        Constant Field Values

    - #### UPLOAD_MAX_SIZE

          public static final java.lang.String UPLOAD_MAX_SIZE

      A component attribute used to indicate the max-size of file upload. It is a non-negative integer.
      See Also:
        Constant Field Values

    - #### UPLOAD_NATIVE

          public static final java.lang.String UPLOAD_NATIVE

      A component attribute used to indicate uploaded file(s) as binary. It is a boolean.
      Since:
        8.6.2
      See Also:
        Constant Field Values

    - #### ECHO_DATA

          public static final java.lang.String ECHO_DATA

      A desktop attribute used to store a map of data associated with the echo event (`Events.echoEvent(java.lang.String, org.zkoss.zk.ui.Component, java.lang.String)`).
      Since:
        5.0.4
      See Also:
        Constant Field Values

    - #### DEFERRED_PROPERTIES

          public static final java.lang.String DEFERRED_PROPERTIES

      A component attribute used to store a map of properties (`Property`) which have deferred expressions.
      Since:
        8.0.0
      See Also:
        Constant Field Values

    - #### PAGE_CREATED

          public static final java.lang.String PAGE_CREATED

      An execution attribute used to store whether the page has been created.
      Since:
        6.5.5
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Attributes

          public Attributes()